%bcond_without reconf

Name: libzmq
Version: 4.2.5
Release: 0
License: LGPL-3.0-or-later
Summary: ZeroMQ core engine and library
Url: http://zeromq.org

BuildRequires: pase-build-tools

BuildRequires: pkg-config

%if %{with reconf}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: m4-gnu
BuildRequires: libtool
%endif

Source0: https://github.com/zeromq/libzmq/releases/download/v%{version}/zeromq-%{version}.tar.gz

Patch0: libzmq-add-os400-configure.patch


%description
The ZeroMQ lightweight messaging kernel is a library which extends
the standard socket interfaces with features traditionally provided
by specialized messaging middle-ware products. ZeroMQ sockets provide
an abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

%package -n libzmq5
Summary: libzmq library
Provides: %{name} = %{version}

%description -n libzmq5
ZeroMQ shared library

%package devel
Summary: libzmq development files
Requires: %{name} = %{version}

%description devel
ZeroMQ development files


%prep
%setup -q -n zeromq-%{version}

%patch0 -p1

%build

%if %{with reconf}
./autogen.sh
%else
%define _host powerpc-ibm-aix6
%endif

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --with-poller=poll \
  --enable-shared \
  --disable-static \
  # end

%make_build

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libzmq5
%defattr(-, qsys, *none)

%{_libdir}/libzmq.so.5*

%files devel
%defattr(-, qsys, *none)

%{_libdir}/libzmq.so

%{_bindir}/curve_keygen

%{_mandir}/man3/*
%{_mandir}/man7/*

%{_libdir}/pkgconfig/libzmq.pc

%{_includedir}/zmq.h
%{_includedir}/zmq_utils.h


%changelog
* Mon Jun 03 2019 Kevin Adler <kadler@us.ibm.com> - 4.2.5
- Make package actually build

* Tue Mar 26 2019 Kevin Adler <kadler@us.ibm.com> - 4.2.2
- ibm-build-tools -> pase-build-tools
